# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# Distribution / packaging
build/
dist/
*.egg-info/

# Virtual environment folders
.env
.venv
env/
venv/
ENV/

# Jupyter Notebook checkpoints
.ipynb_checkpoints

# PyCharm
.idea/

# VS Code
.vscode/

# Logs and databases
*.log
*.sqlite3
